﻿using Infragistics.Excel;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ExcelSavePrintOptions
{
    class Program
    {
        static void Main(string[] args)
        {

            Workbook workbook = null;
            CustomView view = null;

            if (File.Exists("Test.xls") == false)
            {
                workbook = new Workbook(WorkbookFormat.Excel97To2003);
                Worksheet worksheet = workbook.Worksheets.Add("Test Sheet");
                view = workbook.CustomViews.Add("CustomSettings", true, true);
                PrintOptions options = view.GetPrintOptions(worksheet);
                options.PaperSize = PaperSize.A3;
            }
            else
            {
                workbook = Workbook.Load("Test.xls");
                Worksheet worksheet = workbook.Worksheets[0];
                view = workbook.CustomViews[0];
                PrintOptions options = view.GetPrintOptions(worksheet);
                options.PaperSize = PaperSize.A5;
            }

            view.Apply();
            workbook.Save("Test.xls");
            System.Diagnostics.Process.Start("Test.xls");
        }
    }
}
